Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class PageManager

    java.lang.Object
      things.thinger.service.httptool.PageManager

Direct Known Subclasses:
  PageManager_Stock

    public abstract class PageManager

extends java.lang.Object

A base page manager.

Version:
  1.0

  Version History

      EPG - Initial - 17 NOV 07

Author:
  Erich P. Gatejen

Field Summary
`protected SystemInterface` | `si` The system interface.

Constructor Summary
`PageManager()` Constructor.

Method Summary
`Page` | `get(java.lang.String pageName)` Get an page implementation.
`abstract java.lang.String` | `getErrorPageName()` Get the error page name.
`abstract void` | `init_chain()` The initialization chain.
`void` | `init(SystemInterface si)` Initialize the manager.
`abstract Page` | `load(java.lang.String pageName)` Load a page by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### si

    protected SystemInterface si

  The system interface. It will be set by the system before get is ever called.

Constructor Detail

### PageManager

    public PageManager()

  Constructor. Makes good for template work.

Method Detail

### getErrorPageName

    public abstract java.lang.String getErrorPageName()

  Get the error page name.

  Returns:
    the name of the error page.

### load

    public abstract Page load(java.lang.String pageName)
                       throws java.lang.Throwable

  Load a page by name. This will not come from the cache. Use get() if you want the cache. If it could not be found, it will return null. Most user applications should use get() instead.

  Parameters:
    `pageName` - the name of the action.
  Returns:
    the page or null if it could not be found.
  Throws:
    `java.lang.Throwable` - for any problem (except if it couldn't be found). This is usually fatal.

### init_chain

    public abstract void init_chain()
                             throws ThingsException

  The initialization chain. This will be called when the system inits the manager. It gives the base class a chance to init. The si (SystemInterface) will be set and usable. The system may call this more than once. If it does, the state should be reset and the initialization done again.

  Throws:
    `ThingsException` - for any problem.

### init

    public void init(SystemInterface si)
              throws ThingsException

  Initialize the manager. This will be called by the system, so there is no need to do it yourself.

  Throws:
    `ThingsException` - by the init_chain if applicable. The base will never throw it.

### get

    public Page get(java.lang.String pageName)
             throws java.lang.Throwable

  Get an page implementation. It will get it from the cache. If it isn't in the cache, it'll load it. They are not pooled right now. It will return null if it could not be found.

  Parameters:
    `pageName` - the name of the action.
  Returns:
    The page implementation or null if not found.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.